## scorched3d 42.1dfsg

=== debian/changelog ===
scorched3d (42.1dfsg-3) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * Drop code snippet into debian/rules to make parallel builds possible on SMP
    machines
  * Bump build dependency to libwxgtk2.8-dev
  * Convert source package to format 3.0 quilt
    * Drop build dependency on quilt
    * Drop build dependency on sharutils. Allows us to ship the desktop shortcut
      icon as binary scorched3d.png
  * Updated debian/copyright
    * We want the Unicode © character in there
    * Copyright is up to 2009

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 20 Nov 2009 13:53:46 +0100

scorched3d (42.1dfsg-2) unstable; urgency=low

  * Add kfreebsd.diff (Closes: #495091)
  * Add myself in uploaders
  * Bump standard version: 3.8.3
   - add a note about the use of quilt in README.Source
  * Fix the Vcs, they were broken since the git migration
  * Reuse fonts from ttf-dejavu-core 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 26 Aug 2009 23:26:27 +0200

scorched3d (42.1dfsg-1) unstable; urgency=low

  [ Paul Wise ]
  * Drop use of dh_desktop since it no longer does anything

  [ Reinhard Tartler ]
  * prepare new upload.
  * New upstream release
  * Add patch 01-openal-pkgconfig.diff to make use of pkg-config instead of
    openal-config (Closes: #533973)
    * Port configure-al.m4 to pkg-config
  * Add README.Source which documents how the .orig.tar.gz is generated
  * Remove test.ttf from the debian patch
    * Remove note about test.ttf from README.Debian
    * Remove uudecode call from debian/rules to decode the uuencoded test.ttf
    * Upstream removed VERA-COPYRIGHT.txt, so remove it from install targets
  * Remove gcc-4.3.diff from patches, it's merged upstream
  * Bump debhelper compatibility level to 7
  * Clean automake generated build files in debian/clean
  * Run autogen.sh at build time instead of calling upstream's configure script
    * Add build dependency on automake and autoconf
  * Bump debian standards version to 3.8.2
  * Remove special CFLAGS hacks from config.status target in debian/rules
  * debian/control: Move scorched3d-dbg package to section debug
  * Don't try to install files that are no longer distributed by upstream (TODO,
    AUTHORS)
  * debian/rules: Don't rmdir (now nonexistent) directories
  * Remove autogenerated files (Makefile.am)

  [ Bruno "Fuddl" Kleinert ]
  * Add build dependency on libexpat1-dev
  * Update debian/rules:
    * Add targets patch and unpatch
    * Replace dh_clean -k by dh_prep. Thanks to lintian!
  * Update my email address in manpages and in the uploaders field

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 30 Jun 2009 17:31:40 +0200

scorched3d (41.3dfsg-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release (Closes: #461816)
  * Updated gcc-4.3 patch (Closes: #417691)
    * Removed reject in src/net/NetServerTCP2Destination.cpp
    * Add missing header in src/common/LoggerI.cpp
  * Remove several empty directories. Found by lintian
  * Remove scorched3d-doc from Suggests-field of scorched3d binary package
  * Update my email address where necessary
  * Build-depend on debhelper >= 5.0.51. Found by lintian
    * We need dh_icons >= 5.0.51

 -- Bruno "Fuddl" Kleinert <fuddl@tauware.de>  Sat, 22 Mar 2008 13:37:54 +0100

scorched3d (41.2dfsg-1) unstable; urgency=low

  [ Gonéri Le Bouder ]
  [ Bruno "Fuddl" Kleinert ]
  * New upstream release (Closes: #460968)
  * Update to Standards Version 3.7.3.0. No changes were necessary

  [ Barry deFreese ]
  * Desktop file changes
    + Remove deprecated Encoding tag (Closes: #453888)
    + Remove path from exec line and extension from icon
  * Add dh_desktop and dh_icons calls in rules (Closes: #453889)

  [ Goneri Le Bouder ]
  * add gcc-4.3.diff and a build dependency on quilt (Closes: #417691)

  [ Peter De Wachter ]
  * fix watchfile (Closes: #453553)

  [ Reinhard Tartler ]
  * Review changes and upload to unstable.
  * Remove unnecessary dependency on dpkg-dev. Found by lintian.
  * Remove obsolete debian/source.lintian-overrides file. Also found by lintian.
  
 -- Reinhard Tartler <siretart@tauware.de>  Thu, 17 Jan 2008 15:13:30 +0100

scorched3d (41.1dfsg-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release (Closes: #448956)
  * Policy violation by apoc-mod license fixed by upstream (It's CC-SA 3.0, now) (Closes: #442062)
  * Removed Debian specific replacement font for data/fonts/testout.ttf, because upstream removed it
    (But we still have to replace data/fonts/test.ttf!)
  * Install two new binaries: scorched3ds (server) and scorched3dc (client)
    Add a manpage for each binary
  * Removed remark about "bird sound crashes" from the BUGS file: This bug
    appears to be fixed by upstream (Closes: #382060)
  * No longer build scorched3d-doc. Upstream removed the html-documentation
    Document that change in NEWS.Debian, which is installed by the scorched3d
    binary package
  * Add lintian overrides for the source package, because they are worked
    around in debian/rules

  [ Reinhard Tartler ]
  * change priority of -dbg package to extra
  * remove autotools-dev, autoconf und automake1.9 from build-depends
  * update config.{guess,sub} with versions from 2007-07-22 and 2007-06-28.
  * add libjpeg62-dev and libpng12-dev to build depends

  [ Cyril Brulebois ]
  * Added Vcs-Svn and Vcs-Browser fields in the control file.

  [ Gerfried Fuchs ]
  * Moved Homepage: address to source part.

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Tue, 27 Nov 2007 22:21:48 +0100

scorched3d (40.1d.dfsg-1) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * remove the Applications category from the desktop file since
    its not an official categorie
    http://standards.freedesktop.org/menu-spec/latest/apa.html

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release
  * Replace non-free fronts (Closes: #298932)
  * Removed all dpatches
    01-cleanup-configure.ac.dpatch: /usr/X11R6 is nearly empty, now


=== debian/control ===
Source: scorched3d
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
	   Bruno "Fuddl" Kleinert <fuddl@debian.org>,
           Gonéri Le Bouder <goneri@rulezlan.org>
Build-Depends: binutils,
	       automake,
	       autoconf,
	       debhelper (>= 7),
	       libsdl1.2-dev,
	       libsdl-net1.2-dev,
	       libopenal-dev,
	       libalut-dev,
	       libfreetype6-dev,
	       libwxgtk2.8-dev,
	       libgl1-mesa-dev,
	       libglu1-mesa-dev,
	       libogg-dev,
	       libvorbis-dev,
	       libfftw3-dev,
	       libpng12-dev,
	       libjpeg62-dev,
		   libexpat1-dev,
		   pkg-config
Build-Conflicts: nvidia-glx
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/pkg-games/scorched3d.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/scorched3d.git
Homepage: http://scorched3d.sourceforge.net/

Package: scorched3d
Architecture: any
Depends: ${shlibs:Depends},
	 scorched3d-data (= ${source:Version})
Description: 3D artillery game similar to Scorched Earth
 Scorched3D is a game based heavily on the classic DOS game Scorched Earth 
 "The Mother Of All Games". Scorched3D adds amongst other new features 
 a 3D island environment and LAN and internet play.

Package: scorched3d-dbg
Architecture: any
Priority: extra
Section: debug
Depends: scorched3d (= ${binary:Version})
Description: 3D artillery game similar to Scorched Earth, debug data
 Scorched3D is a game based heavily on the classic DOS game Scorched Earth 
 "The Mother Of All Games". Scorched3D adds amongst other new features 
 a 3D island environment and LAN and internet play.
 .
 This package contains debug information for the scorched3d
 package. Its purpose is to allow debuggers to produce backtraces with
 names, making it easier to interpret core dumps. The data is
 installed in /usr/lib/debug.

Package: scorched3d-data
Architecture: all
Recommends: scorched3d
Depends: ttf-dejavu-core
Description: data files for Scorched3D game
 Scorched3D is a game based heavily on the classic DOS game Scorched Earth 
 "The Mother Of All Games". Scorched3D adds amongst other new features 
 a 3D island environment and LAN and internet play.
 .
 This package contains data files for the game Scorched3D.

=== debian/rules ===
#!/usr/bin/make -f
# rules file for scorched3d (May 2004)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

confflags += --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)
confflags += --prefix=/usr --bindir=\$${prefix}/games
confflags += --datadir=\$${prefix}/share/games/scorched3d
confflags += --with-docdir=/usr/share/doc/scorched3d
confflags += --mandir=\$${prefix}/share/man
confflags += --infodir=\$${prefix}/share/info

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
$(info Disable all  optimisations)
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status:
	dh_testdir
	sh ./autogen.sh $(confflags)

build: build-stamp 
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f data/fonts/test.ttf
	rm -f config.log config.status
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	# Both fonts are in ttf-dejavu-core. Remove them here and create symlinks
	# later on by debian/scorched3d-data
	rm debian/tmp/usr/share/games/scorched3d/data/fonts/dejavusans.ttf
	rm debian/tmp/usr/share/games/scorched3d/data/fonts/dejavusmobd.ttf
	mkdir -p debian/tmp/usr/share/bug/scorched3d
	cp debian/presubj debian/tmp/usr/share/bug/scorched3d/
	mkdir -p debian/tmp/usr/share/icons/hicolor/48x48/apps
	cp debian/scorched3d.png debian/tmp/usr/share/icons/hicolor/48x48/apps/
	mkdir -p debian/tmp/usr/share/applications
	cp debian/scorched3d.desktop debian/tmp/usr/share/applications/
	mkdir -p debian/tmp/usr/share/pixmaps
	cp debian/scorched3d.xpm debian/tmp/usr/share/pixmaps/
	rm -f \
		debian/tmp/usr/share/games/scorched3d/data/globalmods/apoc/authors.txt \
		debian/tmp/usr/share/games/scorched3d/data/globalmods/apoc/license.txt \
		debian/tmp/usr/share/games/scorched3d/data/globalmods/apoc/readme-nexus.txt \
		debian/tmp/usr/share/games/scorched3d/data/globalmods/apoc/readme.txt \
		debian/tmp/usr/share/games/scorched3d/data/shaders/water.license

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_install --source=debian/tmp -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_install --source=debian/tmp -a
	dh_installmenu -a
	dh_installman debian/scorched3d.6 debian/scorched3dc.6 debian/scorched3ds.6 -a
	dh_icons -a
	dh_link -a
	dh_strip -a --dbg-package=scorched3d-dbg
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## scorched3d 43.1c.dfsg

=== debian/changelog ===
scorched3d (43.1c.dfsg-2) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * Update copyright year in copyright file and document the origin of the
    Debian specific avatar icon set in debian/avatars[-svg]

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 29 Jul 2010 14:30:15 -0400

scorched3d (43.1c.dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #588937)
  * Update to standards version 3.9.1 without any changes
  * Refresh 01-openal-pkgconfig.diff
  * Selfmade SVG+PNG "avatar icons" to replace the non-DSFG free ones shipped by
    upstream
  * Add a script to update PNG avatar icons from SVG source avatar icons

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 28 Jul 2010 20:53:31 -0400

scorched3d (42.1dfsg-4) unstable; urgency=low

  * Lower dependency of scorched3d-data on scorched3d to Suggests. Since
    recommended packages are installed by default, this leads to a circular
    dependency. Avoid that situation.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 20 Nov 2009 18:21:12 +0100

=== debian/control ===
--- 
+++ 
@@ -25,14 +25,14 @@
 		   libexpat1-dev,
 		   pkg-config
 Build-Conflicts: nvidia-glx
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-games/scorched3d.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/scorched3d.git
 Homepage: http://scorched3d.sourceforge.net/
 
 Package: scorched3d
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 	 scorched3d-data (= ${source:Version})
 Description: 3D artillery game similar to Scorched Earth
  Scorched3D is a game based heavily on the classic DOS game Scorched Earth 
@@ -43,7 +43,7 @@
 Architecture: any
 Priority: extra
 Section: debug
-Depends: scorched3d (= ${binary:Version})
+Depends: ${misc:Depends}, scorched3d (= ${binary:Version})
 Description: 3D artillery game similar to Scorched Earth, debug data
  Scorched3D is a game based heavily on the classic DOS game Scorched Earth 
  "The Mother Of All Games". Scorched3D adds amongst other new features 
@@ -56,8 +56,8 @@
 
 Package: scorched3d-data
 Architecture: all
-Recommends: scorched3d
-Depends: ttf-dejavu-core
+Suggests: scorched3d
+Depends: ${misc:Depends}, ttf-dejavu-core
 Description: data files for Scorched3D game
  Scorched3D is a game based heavily on the classic DOS game Scorched Earth 
  "The Mother Of All Games". Scorched3D adds amongst other new features

=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,9 @@
 
 config.status:
 	dh_testdir
+	# Upstream ships non-DFSG icons, so we replace them
+	mkdir -p data/avatars
+	cp -r debian/avatars data
 	sh ./autogen.sh $(confflags)
 
 build: build-stamp 
@@ -51,8 +54,12 @@
 	dh_testroot
 	rm -f build-stamp 
 	[ ! -f Makefile ] || $(MAKE) distclean
+	rm -f src/client/scorchedc/Makefile.am \
+		src/launcher/scorched/Makefile.am \
+		src/server/scorcheds/Makefile.am
 	rm -f data/fonts/test.ttf
 	rm -f config.log config.status
+	rm -rf data/avatars debian/avatars-svg/*.png
 	dh_clean 
 
 install: build

## scorched3d 43.2a.dfsg

=== debian/changelog ===
scorched3d (43.2a.dfsg-6) unstable; urgency=low

  * Team upload.
  * Fixed FTBFS due to mawk sprint limit (Closes: #650579) (Closes: #628365).
  * Use xz compression.

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Sun, 11 Dec 2011 21:52:37 -0500

scorched3d (43.2a.dfsg-5) unstable; urgency=low

  * Team upload.
  * Prepare for libjpeg8 transition and build-depend on libjpeg-dev instead of
    libjpeg62-dev.
  * Temporarily override lintian error on embedded GLEW library in scorched3c.
    We will fix this in a later upload.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 19 Jul 2011 19:19:05 +0200

scorched3d (43.2a.dfsg-4) unstable; urgency=low

  * Team upload
  * Fix broken parallel builds in debian/rules

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 03 Jun 2011 22:31:10 +0200

scorched3d (43.2a.dfsg-3) unstable; urgency=low

  * Team upload
  * Switch to debhelper 8
    * Rewrite debian/rules
    * Build-depend on debhelper (>= 8)
  * Update standards version to 3.9.2. No changes were necessary.
  * List manpages that should be installed in debian/scorched3d.manpages
  * Don't install a windows "Thumbs.db" in /usr/share/games/scorched3d

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 03 Jun 2011 16:35:39 +0200

scorched3d (43.2a.dfsg-2) unstable; urgency=low

  * Don't mess with users' PATH environment variable in
    /usr/share/applications/scorched3d.desktop. Instead call
    /usr/games/scorched3d with full path.
  * Source package: fix typo in the filename of
    debian/update-avatar-icons-from-svg.sh
  * Do not install upstream CHANGELOG since it's empty anyway

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 11 Mar 2011 23:58:48 +0100

scorched3d (43.2a.dfsg-1) unstable; urgency=low

  * Re-upload to fix version string, oops!

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Mon, 07 Feb 2011 10:57:53 +0100

scorched3d (43.2a.dfsg) unstable; urgency=low

  * New upstream release
  * Refresh kfreebsd.diff

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Sun, 06 Feb 2011 22:27:40 +0100

=== debian/rules ===
#!/usr/bin/make -f
# rules file for scorched3d (May 2004)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

confflags += --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)
confflags += --prefix=/usr --bindir=\$${prefix}/games
confflags += --datadir=\$${prefix}/share/games/scorched3d
confflags += --with-docdir=/usr/share/doc/scorched3d
confflags += --mandir=\$${prefix}/share/man
confflags += --infodir=\$${prefix}/share/info

CFLAGS += -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
$(info Disable all  optimisations)
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

# We want parallel builds (dh_build always does -j1)
override_dh_auto_build:
	$(MAKE)

override_dh_auto_configure:
	# Upstream ships non-DFSG icons, so we replace them
	mkdir -p data/avatars
	cp -r debian/avatars data
	sh ./autogen.sh $(confflags) AWK=gawk

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f	src/client/scorchedc/Makefile.am \
		src/launcher/scorched/Makefile.am \
		src/server/scorcheds/Makefile.am
	rm -f data/fonts/test.ttf
	rm -f config.log config.status
	rm -rf data/avatars debian/avatars-svg/*.png

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	# Both fonts are in ttf-dejavu-core. Remove them here and create
	# symlinks later on by debian/scorched3d-data
	rm debian/tmp/usr/share/games/scorched3d/data/fonts/dejavusans.ttf
	rm debian/tmp/usr/share/games/scorched3d/data/fonts/dejavusmobd.ttf
	mkdir -p debian/tmp/usr/share/bug/scorched3d
	cp debian/presubj debian/tmp/usr/share/bug/scorched3d/
	mkdir -p debian/tmp/usr/share/icons/hicolor/48x48/apps
	cp debian/scorched3d.png debian/tmp/usr/share/icons/hicolor/48x48/apps/
	mkdir -p debian/tmp/usr/share/applications
	cp debian/scorched3d.desktop debian/tmp/usr/share/applications/
	mkdir -p debian/tmp/usr/share/pixmaps
	cp debian/scorched3d.xpm debian/tmp/usr/share/pixmaps/
	# Remove unwanted files and make lintian happy
	rm -f 	debian/tmp/usr/share/games/scorched3d/data/globalmods/apoc/authors.txt \
		debian/tmp/usr/share/games/scorched3d/data/globalmods/apoc/license.txt \
		debian/tmp/usr/share/games/scorched3d/data/globalmods/apoc/readme-nexus.txt \
		debian/tmp/usr/share/games/scorched3d/data/globalmods/apoc/readme.txt \
		debian/tmp/usr/share/games/scorched3d/data/shaders/water.license \
		debian/tmp/usr/share/games/scorched3d/data/globalmods/none/data/windows/Thumbs.db

override_dh_installchangelogs:
	dh_installchangelogs --exclude=CHANGELOG

override_dh_strip:
	dh_strip -pscorched3d --dbg-package=scorched3d-dbg

=== debian/watch ===
version=3
opts="dversionmangle=s/dfsg(.?\d+)?$//" \
http://sf.net/scorched3d/ Scorched3D-([\d.]*)-src\.tar\.gz

## scorched3d 43.3.d%2Bdfsg

=== debian/changelog ===
scorched3d (43.3.d+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with libpng16" -- adapt to new libpng API (Closes: #809905)

 -- Tobias Frost <tobi@debian.org>  Sun, 24 Jan 2016 14:33:34 +0100

scorched3d (43.3.d+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to use wxWidgets 3.0 (new patch 0008-wx3.0-compat.patch).

 -- Olly Betts <olly@survex.com>  Tue, 27 May 2014 14:47:53 +1200

scorched3d (43.3.d+dfsg-1) unstable; urgency=medium

  [ Juhani Numminen ]
  * Team upload.
  * New upstream release.
  * Update debian/get-orig-source.sh:
    - Run the script in debian/rules get-orig-source target.
    - Use ‘+dfsg’ suffix instead of ‘.dfsg’.
    - Don’t exclude data/avatars in subdirectories.
    - Switch to xz compression.
  * Enhance watch file to detect all upstream versions.
  * Bump Standards-Version to 3.9.5, no changes were needed.
  * Add 0006-fix-freetype-includes.patch to fix a FTBFS (Closes: #733368).
  * Add 0007-spelling.patch to fix some spelling errors.
  * Fix Vcs-Browser to have “/gitweb”.

  [ Gonéri Le Bouder ]
  * Remove myself from Uploaders:

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Tue, 28 Jan 2014 21:08:39 +0200

scorched3d (43.3+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Stephen M. Webb ]
  * new upstream release
  * added myself as an uploader
  * refreshed debian/patches/01-openal-pkgconfig.diff
  * update to debhelper compat level 9
  * removed embedded copy of GLEW library (closes: #634843)
    - removed lintian overrides
  * added dpkg Pre-Depends to -dbg and -data packages for xz compression
  * replaced the embedded copy of DejaVuCondensedBold font with the system one

  [ Juhani Numminen ]
  * Build-Depend on libpng-dev instead of libpng12-dev (Closes: #662497).
  * Update of debian/rules to dh 9 by Stephen M. Webb eliminates "cannot find
    Makefile.in" FTBFS (Closes: #723051).
  * Set urgency to medium due to fix for release-critical bug.
  * Update standards version to 3.9.4. No changes were necessary.
  * Correct Vcs-* URLs to point to anonscm.debian.org.
  * Add missing patch metadata and unify patch style.
  * Add 0005-append-buildflags.patch to enable hardening.
  * Refer to GPL-2 instead of unversioned GPL in debian/copyright.
  * Add keywords to scorched3d.desktop file.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Mon, 21 Oct 2013 15:51:38 +0300

scorched3d (43.2a.dfsg-6.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #673718.

 -- Matthias Klose <doko@debian.org>  Tue, 22 May 2012 11:07:11 +0000

## scorched3d 43.3.d+dfsg

=== debian/control ===
Source: scorched3d
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Bruno "Fuddl" Kleinert <fuddl@debian.org>,
           Stephen M. Webb <stephen.webb@bregmasoft.ca>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               gawk,
               libalut-dev,
               libexpat1-dev,
               libfftw3-dev,
               libfreetype6-dev,
               libgl1-mesa-dev,
               libglew-dev,
               libglu1-mesa-dev,
               libjpeg-dev,
               libogg-dev,
               libopenal-dev,
               libpng-dev,
               libsdl-net1.2-dev,
               libsdl1.2-dev,
               libvorbis-dev,
               libwxgtk2.8-dev,
               pkg-config
Build-Conflicts: nvidia-glx
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-games/scorched3d.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/scorched3d.git
Homepage: http://scorched3d.sourceforge.net/

Package: scorched3d
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: scorched3d-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: 3D artillery game similar to Scorched Earth
 Scorched3D is a game based heavily on the classic DOS game Scorched Earth
 "The Mother Of All Games". Scorched3D adds amongst other new features
 a 3D island environment and LAN and internet play.

Package: scorched3d-dbg
Architecture: any
Priority: extra
Section: debug
Pre-Depends: dpkg (>= 1.15.6~)
Depends: scorched3d (= ${binary:Version}), ${misc:Depends}
Description: 3D artillery game similar to Scorched Earth, debug data
 Scorched3D is a game based heavily on the classic DOS game Scorched Earth
 "The Mother Of All Games". Scorched3D adds amongst other new features
 a 3D island environment and LAN and internet play.
 .
 This package contains debug information for the scorched3d
 package. Its purpose is to allow debuggers to produce backtraces with
 names, making it easier to interpret core dumps. The data is
 installed in /usr/lib/debug.

Package: scorched3d-data
Architecture: all
Suggests: scorched3d
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ttf-dejavu-core, ttf-dejavu-extra, ${misc:Depends}
Description: data files for Scorched3D game
 Scorched3D is a game based heavily on the classic DOS game Scorched Earth
 "The Mother Of All Games". Scorched3D adds amongst other new features
 a 3D island environment and LAN and internet play.
 .
 This package contains data files for the game Scorched3D.

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-  MAKEFLAGS += -j$(NUMJOBS)
-endif
+	dh $@ --parallel --with autoreconf
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -22,7 +17,6 @@
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
-confflags += --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)
 confflags += --prefix=/usr --bindir=\$${prefix}/games
 confflags += --datadir=\$${prefix}/share/games/scorched3d
 confflags += --with-docdir=/usr/share/doc/scorched3d
@@ -31,17 +25,6 @@
 
 CFLAGS += -Wall
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-$(info Disable all  optimisations)
-  CFLAGS += -O0
-else
-  CFLAGS += -O2
-endif
-
-# We want parallel builds (dh_build always does -j1)
-override_dh_auto_build:
-	$(MAKE)
-
 override_dh_auto_configure:
 	# Upstream ships non-DFSG icons, so we replace them
 	mkdir -p data/avatars
@@ -49,23 +32,20 @@
 	sh ./autogen.sh $(confflags) AWK=gawk
 
 override_dh_auto_clean:
-	[ ! -f Makefile ] || $(MAKE) distclean
-	rm -f	src/client/scorchedc/Makefile.am \
-		src/launcher/scorched/Makefile.am \
-		src/server/scorcheds/Makefile.am
 	rm -f data/fonts/test.ttf
-	rm -f config.log config.status
 	rm -rf data/avatars debian/avatars-svg/*.png
+	dh_auto_clean
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
 
 override_dh_auto_install:
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	dh_auto_install
 	# Both fonts are in ttf-dejavu-core. Remove them here and create
 	# symlinks later on by debian/scorched3d-data
 	rm debian/tmp/usr/share/games/scorched3d/data/fonts/dejavusans.ttf
 	rm debian/tmp/usr/share/games/scorched3d/data/fonts/dejavusmobd.ttf
+	rm debian/tmp/usr/share/games/scorched3d/data/fonts/dejavusconbd.ttf
 	mkdir -p debian/tmp/usr/share/bug/scorched3d
 	cp debian/presubj debian/tmp/usr/share/bug/scorched3d/
 	mkdir -p debian/tmp/usr/share/icons/hicolor/48x48/apps
@@ -87,3 +67,6 @@
 
 override_dh_strip:
 	dh_strip -pscorched3d --dbg-package=scorched3d-dbg
+
+get-orig-source:
+	$(abspath $(dir $(firstword $(MAKEFILE_LIST))))/get-orig-source.sh

=== debian/watch ===
version=3
opts="dversionmangle=s/(\+|\.)?dfsg(.?\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?([a-z][\-\.]?\d*)$/$1.$2/;s/(B|b)eta/~beta/" \
http://sf.net/scorched3d/ Scorched3D-(.*)-src\.tar\.gz

## scorched3d 44%2Bdfsg

=== src/launcher/Makefile ===
# Makefile.in generated by automake 1.13.4 from Makefile.am.
# src/launcher/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/scorched3d
pkgincludedir = $(includedir)/scorched3d
pkglibdir = $(libdir)/scorched3d
pkglibexecdir = $(libexecdir)/scorched3d
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = src/launcher
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure-gl.m4 $(top_srcdir)/configure-al.m4 \
	$(top_srcdir)/configure-wx.m4 $(top_srcdir)/configure-ogg.m4 \
	$(top_srcdir)/configure-ft.m4 $(top_srcdir)/configure-fftw.m4 \
	$(top_srcdir)/configure-sdl.m4 $(top_srcdir)/configure-flt.m4 \
	$(top_srcdir)/configure-sql.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	distdir
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = aclocal-1.13
AL_CFLAGS = -I/usr/include/AL  
AL_LIBS = -lopenal   -lalut
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.13
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -DS3D_DOCDIR=\"${datadir}/documentation\" -DS3D_DATADIR=\"${datarootdir}\" -DS3D_BINDIR=\"${exec_prefix}/bin\"
CPP = gcc -E
CPPFLAGS =  -I/usr/X11R6/include -I/usr/X11R6 -I/usr/local/include
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -DS3D_DOCDIR=\"${datadir}/documentation\" -DS3D_DATADIR=\"${datarootdir}\" -DS3D_BINDIR=\"${exec_prefix}/bin\"
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"scorched3d\" -DVERSION=\"43\" -DHAVE_OGG=1 -DHAVE_VSNPRINTF=1 -DHAVE_SNPRINTF=1 -DHAVE_VASPRINTF=1 -DHAVE_ASPRINTF=1 -DHAVE_ICONV=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_UNISTD_H=1 -DHAVE_ICONV_H=1
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FFTW_CFLAGS = 
FFTW_LIBS =  -lfftw3f
FREEALUT_CONFIG = /usr/bin/freealut-config
FT2_CFLAGS = -I/usr/include/freetype2
FT2_CONFIG = /usr/bin/freetype-config
FT2_LIBS = -lfreetype -lz
GL_LIBS = -lGL -lGLU -lpthread -lGLEW
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS =  -L/usr/X11R6/lib -L/usr/X11R6 -L/usr/local/lib
LIBOBJS = 
LIBS =  -lexpat -lz -lpng -ljpeg
LTLIBOBJS = 
MAKEINFO = makeinfo
MKDIR_P = /usr/bin/mkdir -p
MYSQL_CFLAGS = 
MYSQL_LIBS = 
OBJEXT = o
OGG_CFLAGS =  
OGG_LIBS =  -logg  -lvorbis -lm -lvorbisfile
OPENAL_CONFIG = /usr/bin/pkg-config openal
PACKAGE = scorched3d
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PGSQL_LIBS = 
PKG_CONFIG = /usr/bin/pkg-config
RANLIB = ranlib
S3D_SUBDIRS = launcher client server
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -lSDL -lpthread -lSDL_net
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 43
VORBISENC_LIBS = -lvorbisenc
VORBISFILE_LIBS = -lvorbisfile
VORBIS_CFLAGS = 
VORBIS_LIBS =  -lvorbis -lm
WX_CFLAGS = -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread
WX_CFLAGS_ONLY = -pthread
WX_CONFIG_PATH = /usr/bin/wx-config
WX_CPPFLAGS = -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__
WX_CXXFLAGS = -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread
WX_CXXFLAGS_ONLY = 
WX_LIBS = -pthread -Wl,-z,relro   -lwx_gtk2u_richtext-2.8 -lwx_gtk2u_aui-2.8 -lwx_gtk2u_xrc-2.8 -lwx_gtk2u_qa-2.8 -lwx_gtk2u_html-2.8 -lwx_gtk2u_adv-2.8 -lwx_gtk2u_core-2.8 -lwx_baseu_xml-2.8 -lwx_baseu_net-2.8 -lwx_baseu-2.8 
WX_LIBS_STATIC = 
WX_VERSION = 2.8.12
abs_builddir = /opt/export/Scorched3D-44/scorched/src/launcher
abs_srcdir = /opt/export/Scorched3D-44/scorched/src/launcher
abs_top_builddir = /opt/export/Scorched3D-44/scorched
abs_top_srcdir = /opt/export/Scorched3D-44/scorched
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datadir}/documentation
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /opt/export/Scorched3D-44/scorched/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local/games/scorched3d
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
SUBDIRS = scorched
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/launcher/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign src/launcher/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \

=== src/common/lua/Makefile ===
# makefile for building Lua
# see ../INSTALL for installation instructions
# see ../Makefile and luaconf.h for further customization

# == CHANGE THE SETTINGS BELOW TO SUIT YOUR ENVIRONMENT =======================

# Your platform. See PLATS for possible values.
PLAT= none

CC= gcc
CFLAGS= -O2 -Wall $(MYCFLAGS)
AR= ar rcu
RANLIB= ranlib
RM= rm -f
LIBS= -lm $(MYLIBS)

MYCFLAGS=
MYLDFLAGS=
MYLIBS=

# == END OF USER SETTINGS. NO NEED TO CHANGE ANYTHING BELOW THIS LINE =========

PLATS= aix ansi bsd freebsd generic linux macosx mingw posix solaris

LUA_A=	liblua.a
CORE_O=	lapi.o lcode.o ldebug.o ldo.o ldump.o lfunc.o lgc.o llex.o lmem.o \
	lobject.o lopcodes.o lparser.o lstate.o lstring.o ltable.o ltm.o  \
	lundump.o lvm.o lzio.o
LIB_O=	lauxlib.o lbaselib.o ldblib.o liolib.o lmathlib.o loslib.o ltablib.o \
	lstrlib.o loadlib.o linit.o

LUA_T=	lua
LUA_O=	lua.o

LUAC_T=	luac
LUAC_O=	luac.o print.o

ALL_O= $(CORE_O) $(LIB_O) $(LUA_O) $(LUAC_O)
ALL_T= $(LUA_A) $(LUA_T) $(LUAC_T)
ALL_A= $(LUA_A)

default: $(PLAT)

all:	$(ALL_T)

o:	$(ALL_O)

a:	$(ALL_A)

$(LUA_A): $(CORE_O) $(LIB_O)
	$(AR) $@ $?
	$(RANLIB) $@

$(LUA_T): $(LUA_O) $(LUA_A)
	$(CC) -o $@ $(MYLDFLAGS) $(LUA_O) $(LUA_A) $(LIBS)

$(LUAC_T): $(LUAC_O) $(LUA_A)
	$(CC) -o $@ $(MYLDFLAGS) $(LUAC_O) $(LUA_A) $(LIBS)

clean:
	$(RM) $(ALL_T) $(ALL_O)

depend:
	@$(CC) $(CFLAGS) -MM l*.c print.c

echo:
	@echo "PLAT = $(PLAT)"
	@echo "CC = $(CC)"
	@echo "CFLAGS = $(CFLAGS)"
	@echo "AR = $(AR)"
	@echo "RANLIB = $(RANLIB)"
	@echo "RM = $(RM)"
	@echo "MYCFLAGS = $(MYCFLAGS)"
	@echo "MYLDFLAGS = $(MYLDFLAGS)"
	@echo "MYLIBS = $(MYLIBS)"

# convenience targets for popular platforms

none:
	@echo "Please choose a platform:"
	@echo "   $(PLATS)"

aix:
	$(MAKE) all CC="xlc" CFLAGS="-O2 -DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-ldl" MYLDFLAGS="-brtl -bexpall"

ansi:
	$(MAKE) all MYCFLAGS=-DLUA_ANSI

bsd:
	$(MAKE) all MYCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-Wl,-E"

freebsd:
	$(MAKE) all MYCFLAGS="-DLUA_USE_LINUX" MYLIBS="-Wl,-E -lreadline"

generic:
	$(MAKE) all MYCFLAGS=

linux:
	$(MAKE) all MYCFLAGS=-DLUA_USE_LINUX MYLIBS="-Wl,-E -ldl -lreadline -lhistory -lncurses"

macosx:
	$(MAKE) all MYCFLAGS=-DLUA_USE_MACOSX
# use this on Mac OS X 10.4
#	$(MAKE) all MYCFLAGS="-DLUA_USE_MACOSX -DLUA_USE_READLINE" MYLIBS="-lreadline"

mingw:
	$(MAKE) "LUA_A=lua51.dll" "LUA_T=lua.exe" \
	"AR=$(CC) -shared -o" "RANLIB=strip --strip-unneeded" \
	"MYCFLAGS=-DLUA_BUILD_AS_DLL" "MYLIBS=" "MYLDFLAGS=-s" lua.exe
	$(MAKE) "LUAC_T=luac.exe" luac.exe

posix:
	$(MAKE) all MYCFLAGS=-DLUA_USE_POSIX

solaris:
	$(MAKE) all MYCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-ldl"

# list targets that do not create files (but not all makes understand .PHONY)
.PHONY: all $(PLATS) default o a clean depend echo none

# DO NOT DELETE

lapi.o: lapi.c lua.h luaconf.h lapi.h lobject.h llimits.h ldebug.h \
  lstate.h ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h lstring.h ltable.h \
  lundump.h lvm.h
lauxlib.o: lauxlib.c lua.h luaconf.h lauxlib.h
lbaselib.o: lbaselib.c lua.h luaconf.h lauxlib.h lualib.h
lcode.o: lcode.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
  lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h lgc.h \
  ltable.h
ldblib.o: ldblib.c lua.h luaconf.h lauxlib.h lualib.h
ldebug.o: ldebug.c lua.h luaconf.h lapi.h lobject.h llimits.h lcode.h \
  llex.h lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h \
  lfunc.h lstring.h lgc.h ltable.h lvm.h
ldo.o: ldo.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lopcodes.h lparser.h lstring.h \
  ltable.h lundump.h lvm.h
ldump.o: ldump.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h \
  lzio.h lmem.h lundump.h
lfunc.o: lfunc.c lua.h luaconf.h lfunc.h lobject.h llimits.h lgc.h lmem.h \
  lstate.h ltm.h lzio.h
lgc.o: lgc.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lstring.h ltable.h
linit.o: linit.c lua.h luaconf.h lualib.h lauxlib.h
liolib.o: liolib.c lua.h luaconf.h lauxlib.h lualib.h
llex.o: llex.c lua.h luaconf.h ldo.h lobject.h llimits.h lstate.h ltm.h \
  lzio.h lmem.h llex.h lparser.h lstring.h lgc.h ltable.h
lmathlib.o: lmathlib.c lua.h luaconf.h lauxlib.h lualib.h
lmem.o: lmem.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h
loadlib.o: loadlib.c lauxlib.h lua.h luaconf.h lobject.h llimits.h \
  lualib.h
lobject.o: lobject.c lua.h luaconf.h ldo.h lobject.h llimits.h lstate.h \
  ltm.h lzio.h lmem.h lstring.h lgc.h lvm.h
lopcodes.o: lopcodes.c lopcodes.h llimits.h lua.h luaconf.h
loslib.o: loslib.c lua.h luaconf.h lauxlib.h lualib.h
lparser.o: lparser.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
  lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h \
  lfunc.h lstring.h lgc.h ltable.h
lstate.o: lstate.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h llex.h lstring.h ltable.h
lstring.o: lstring.c lua.h luaconf.h lmem.h llimits.h lobject.h lstate.h \
  ltm.h lzio.h lstring.h lgc.h
lstrlib.o: lstrlib.c lua.h luaconf.h lauxlib.h lualib.h
ltable.o: ltable.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h lgc.h ltable.h
ltablib.o: ltablib.c lua.h luaconf.h lauxlib.h lualib.h
ltm.o: ltm.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h lzio.h \
  lmem.h lstring.h lgc.h ltable.h
lua.o: lua.c lua.h luaconf.h lauxlib.h lualib.h
luac.o: luac.c lua.h luaconf.h lauxlib.h ldo.h lobject.h llimits.h \
  lstate.h ltm.h lzio.h lmem.h lfunc.h lopcodes.h lstring.h lgc.h \
  lundump.h
lundump.o: lundump.c lua.h luaconf.h ldebug.h lstate.h lobject.h \
  llimits.h ltm.h lzio.h lmem.h ldo.h lfunc.h lstring.h lgc.h lundump.h
lvm.o: lvm.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lopcodes.h lstring.h ltable.h lvm.h
lzio.o: lzio.c lua.h luaconf.h llimits.h lmem.h lstate.h lobject.h ltm.h \
  lzio.h
print.o: print.c ldebug.h lstate.h lua.h luaconf.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h lopcodes.h lundump.h

# (end of Makefile)

=== debian/control ===
Source: scorched3d
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Bruno "Fuddl" Kleinert <fuddl@debian.org>,
Build-Depends:
 debhelper (>= 11),
 gawk,
 libalut-dev,
 libexpat1-dev,
 libfftw3-dev,
 libfreetype6-dev,
 libgl1-mesa-dev,
 libglew-dev,
 libglu1-mesa-dev,
 libjpeg-dev,
 libogg-dev,
 libopenal-dev,
 libpng-dev,
 libsdl-net1.2-dev,
 libsdl1.2-dev,
 libvorbis-dev,
 libwxgtk3.0-gtk3-dev,
 pkg-config
Build-Conflicts:
 nvidia-glx
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/games-team/scorched3d.git
Vcs-Browser: https://salsa.debian.org/games-team/scorched3d
Homepage: http://www.scorched3d.co.uk/

Package: scorched3d
Architecture: any
Depends:
 scorched3d-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 sensible-utils
Description: 3D artillery game similar to Scorched Earth
 Scorched3D is a game based heavily on the classic DOS game Scorched Earth
 "The Mother Of All Games". Scorched3D adds amongst other new features
 a 3D island environment and LAN and internet play.

Package: scorched3d-data
Architecture: all
Multi-Arch: foreign
Suggests:
 scorched3d
Depends:
 fonts-dejavu,
 ${misc:Depends}
Description: data files for Scorched3D game
 Scorched3D is a game based heavily on the classic DOS game Scorched Earth
 "The Mother Of All Games". Scorched3D adds amongst other new features
 a 3D island environment and LAN and internet play.
 .
 This package contains data files for the game Scorched3D.
